// ! This utility provides a way to communicate with Unreal Engine 2 servers running Acedia mutator.
mod link;
use link::start_avarice;

fn main() {
    let mut server = start_avarice(1234).unwrap();
    while let Some((link, message)) = server.next() {
        println!("{}: {}", link.socket_address(), message.to_string());
        if message.message_type != "end" {
            link.send(message);
        }
    }
    println!("Avarice has shut down!");
}
